OCF_HEARTBEAT_ZFS(7)

NAME
ocf_heartbeat_ZFS - Manages ZFS pools

SYNOPSIS

ZFS [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This script manages ZFS pools It can import a ZFS pool or export it

SUPPORTED PARAMETERS

pool
    The name of the ZFS pool to manage, e.g. "tank".

    (unique, required, string, no default)

importargs
    Arguments to zpool import, e.g. "-d /dev/disk/by-id".

    (optional, string, no default)

importforce
    zpool import is given the -f option.

    (unique, optional, boolean, default true)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 60s.

stop
    Stops the resource. Suggested minimum timeout: 60s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 30s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a ZFS resource using the crm(8) shell:

    primitive p_ZFS ocf:heartbeat:ZFS \
      params \
        pool=string \
      op monitor depth="0" timeout="30s" interval="5s"

EXAMPLE PCS

The following is an example configuration for a ZFS resource using pcs(8)

    pcs resource create p_ZFS ocf:heartbeat:ZFS \
      pool=string \
      op monitor depth="0" timeout="30s" interval="5s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)